Mailinglist Archive: opensuse-factory (602 mails)

< Previous Next >
Re: [opensuse-factory] cannot install vdr-plugin-vdrmanager from vdr:/plugins on vdr 2.4.0
PS:

I copied the source for vdr-plugin-vdrmanager from https://projects.vdr-developer.org/git/vdr-manager.git/ and manually compiled and manually installed it

it works (compilation with some warnings, vdr startup warning for missing SSL) :-)

Actually I have no idea how to create an updated package for the distribution ....

best regards Christian

Am 10.02.19 um 22:03 schrieb Christian Mahr:
Hi Stephan

OK, you are rigth. thank for the hint.
I added the https://download.opensuse.org/repositories/vdr/openSUSE_Tumbleweed/
and removed the ...._Factory. I downgraded all relevant packages to slightly earlier version - to clean up. vdr 2.4 is present and works.

Now I tried to add ans additional plugin:  vdr-plugin-vdrmanager:

-------------

Problem: vdr-plugin-vdrmanager-0.12-3.26.x86_64 requires vdr(abi) = 2.2.0, but this requirement cannot be provided
  not installable providers: vdr-2.2.0-6.2.i586[openSUSE-20180410-0]
                   vdr-2.2.0-6.2.x86_64[openSUSE-20180410-0]
                   vdr-2.2.0-7.1.x86_64[openSUSE-Leap_42.3-0]
 Solution 1: Following actions will be done:
  downgrade of vdr-2.4.0-153.3.x86_64 to vdr-2.2.0-6.2.x86_64
  install vdr-2.2.0-6.2.x86_64 (with vendor change)
    obs://build.opensuse.org/vdr  -->  openSUSE
  deinstallation of vdr-plugin-vnsiserver-1.8.0-1.4.x86_64
  downgrade of vdr-devel-2.4.0-153.3.x86_64 to vdr-devel-2.2.0-6.2.x86_64
  install vdr-devel-2.2.0-6.2.x86_64 (with vendor change)
    obs://build.opensuse.org/vdr  -->  openSUSE
  downgrade of vdr-lang-2.4.0-153.3.noarch to vdr-lang-2.2.0-6.2.noarch
  install vdr-lang-2.2.0-6.2.noarch (with vendor change)
    obs://build.opensuse.org/vdr  -->  openSUSE
 Solution 2: do not install vdr-plugin-vdrmanager-0.12-3.26.x86_64
 Solution 3: break vdr-plugin-vdrmanager-0.12-3.26.x86_64 by ignoring some of its dependencies

----

Although taken from vdr:plugin/openSuse-Tumbleweed, this plugin asks for a downgrade to vdr-2.2 ..???

Is this really correct? any suggestion?

Thanks

    Christian



Am 10.02.19 um 21:10 schrieb Stefan Seyfried:
Am 10.02.19 um 20:48 schrieb Christian Mahr:
Hi Stephan

well, yes, but tumbleweed has only vdr 2.2, not 2.4...  - which is out
already since April 2018...?
seife@strolchi:~> osc meta prj vdr|grep -B1 '"openSUSE:Factory"'
   <repository name="openSUSE_Tumbleweed">
     <path project="openSUSE:Factory" repository="snapshot"/>
--
   <repository name="openSUSE_Factory">
     <path project="openSUSE:Factory" repository="standard"/>
seife@strolchi:~> osc rblt vdr vdr openSUSE_Tumbleweed x86_64|tail
[  225s] RPMS/x86_64/vdr-debugsource-2.4.0-153.3.x86_64.rpm
[  225s] RPMS/x86_64/vdr-debuginfo-2.4.0-153.3.x86_64.rpm
[  225s] RPMS/x86_64/vdr-devel-2.4.0-153.3.x86_64.rpm
[  225s] RPMS/noarch/vdr-lang-2.4.0-153.3.noarch.rpm
[  225s] RPMS/noarch/vdr-devel-doc-2.4.0-153.3.noarch.rpm
[  225s] SRPMS/vdr-2.4.0-153.3.src.rpm
[  225s] OTHER/rpmlint.log
[  225s] OTHER/_statistics


The openSUSE_Tumbleweed build of the vdr repo certainly has vdr 2.4.0

But you will not gain anything from this update, because the only change
is a rebuild due to changed glibc:

seife@strolchi:~> osc triggerreason vdr vdr openSUSE_Factory i586
https://api.opensuse.org vdr vdr openSUSE_Factory i586
meta change (at 2019-02-08 20:20:57)
changed keys:
    md5sum glibc-devel
    md5sum glibc-locale
    added glibc-locale-base
    added libcrypt1
    added libxcrypt-devel

seife@strolchi:~> osc buildhist vdr vdr openSUSE_Factory i586|tail -6
2018-12-29 21:51:40 b390929cc0c4d282c8e13d67c456b48b 2.4.0-153.1 136 288
2019-01-15 14:51:04 b390929cc0c4d282c8e13d67c456b48b 2.4.0-153.2 136 475
2019-01-29 19:06:18 b390929cc0c4d282c8e13d67c456b48b 2.4.0-153.3 136 219
2019-01-30 08:42:21 b390929cc0c4d282c8e13d67c456b48b 2.4.0-153.4 136 283
2019-02-08 18:22:29 b390929cc0c4d282c8e13d67c456b48b 2.4.0-153.5 136 309
2019-02-08 20:28:20 b390929cc0c4d282c8e13d67c456b48b 2.4.0-153.6 136 414

=> no source changes.

But good thing is that you remind me to finally submit the updated vdr
stuff to Factory ;-)
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >